from fenics import *
mesh = Mesh('/home/parallels/Desktop/annulus.xml')
V = FunctionSpace(mesh, 'CG', 1)
g_out = Expression('sin(5*x[0]) + cos(5*x[1])', degree=1)
def out_boundary(x, on_boundary): 
    return (x[0]**2 + x[1]**2 > .8 ) and on_boundary
bc = DirichletBC(V, g_out, out_boundary)
f = Constant('0.0')
u = TrialFunction(V)
v = TestFunction(V)
a = inner(grad(u), grad(v))*dx
L = f*v*dx   # Neumann condition is 0
u = Function(V)
solve(a == L, u, bc)
plot(u, interactive=True)

