from fenics import *
mesh = UnitIntervalMesh(4)
V = FunctionSpace(mesh, "CG", 1)
u = TrialFunction(V)
v = TestFunction(V)
f = 8
bc = DirichletBC(V, 0, "on_boundary")
a = u.dx(0)*v.dx(0)*dx
L = f*v*dx
u_sol = Function(V)
solve(a == L, u_sol, bc)
plot(u_sol, interactive=True)
