t = 0.; h = 0.1; T = 1.0 
from fenics import *
mesh = UnitSquareMesh(32,32)
V = FunctionSpace(mesh, "CG", 1)
u_sol = Function(V)  # not TrialFunction!
v = TestFunction(V)
f = Constant(-6.8)
g_expr = "1 + x[0]*x[0] + 3.0*x[1]*x[1] + 1.2*t"
g = Expression(g_expr, t=0, degree=2)
u = project(g,V)
while t <= T: 
     a = u_sol*v*dx + h*inner(grad(u_sol), grad(v))*dx  
     L = u*v*dx + h*f*v*dx
     g.t = t       # assign new t-value to boundary expression
     bc = DirichletBC(V, g, 'on_boundary')
     solve(a - L == 0, u_sol, bc)  # nonlinear solver
     u.assign(u_sol)               # next in u_n sequence
     t += h                        # next time step
plot(u,interactive=True)
