from fenics import *
mesh = UnitIntervalMesh(10)
V = FunctionSpace(mesh, 'CG', 1)
v = TestFunction(V)
def q(u): return (1+u)**2
def lb(x): return near(x[0], 0)
def rb(x): return near(x[0], 1)
lc = DirichletBC(V, 0, lb)
rc = DirichletBC(V, 1, rb)
bc = [lc, rc]
u = TrialFunction(V) # new from here
F = inner(q(u)*grad(u), grad(v))*dx
u = Function(V)
F = action(F,u)
J = derivative(F,u)
uinit = project(Constant(0), V)
u.assign(uinit)
problem = NonlinearVariationalProblem(F, u , bc, J)
solver  = NonlinearVariationalSolver(problem)
solver.solve()
plot(u, interactive = True)
