from fenics import *
mesh = UnitSquareMesh(32,32)
V = FunctionSpace(mesh, 'CG', 1)
u = TrialFunction(V)
v = TestFunction(V)
def dir_boundary(x): return near(x[0], 0) or near(x[0], 1) 
g_D = Expression('1 + x[0]*x[0] + 2*x[1]*x[1]', degree=2)
bc = DirichletBC(V, g_D, dir_boundary)
f = Constant(-6)
g_N = Expression('4*x[1]', degree=1)
a = inner(grad(u), grad(v))*dx
L = f*v*dx + g_N*v*ds
u = Function(V)
solve(a == L, u, bc)
plot(u, interactive=True)

