from fenics import *
mesh = UnitSquareMesh(32,32)
V = FunctionSpace(mesh, 'CG', 1)
u = TrialFunction(V)
v = TestFunction(V)
a = (inner(grad(u), grad(v)) + u*v)*dx
f = Expression('(1 + 2*pi*pi) * cos(pi*x[0]) * cos(pi*x[1])', degree=1)
L = f*v*dx 
u = Function(V)
solve(a == L, u)   # no reference to boundary conditions 
plot(u, interactive=True) 

