from fenics import *
mesh = UnitSquareMesh(4,4)
V = FunctionSpace(mesh, 'CG', 1)
bc = DirichletBC(V, 0, 'on_boundary')
u = TrialFunction(V)
v = TestFunction(V)
f = Expression('100*exp(-100*(pow(x[0] - 0.5, 2) + pow(x[1] - 0.3, 2)))', \
                degree=1)   # '\' is  Python's line-continuation  character
a = inner(grad(u), grad(v))*dx
L = f*v*dx
u = Function(V)
M = u*dx
tol = 1.e-3   # for illustration only, in practice e.g. 1.e-6 better
solve(a == L, u, bc, tol=tol, M=M) 
plot(u.root_node(), title="solution in initial  mesh")
plot(u.leaf_node(), title="solution in final  mesh")
plot(mesh.leaf_node(), title="final mesh")
interactive()
